# Uses of Interface
org.apache.felix.gogo.api.CommandSessionListener

Packages that use CommandSessionListener
Package
Description
org.apache.felix.gogo.runtime
org.apache.felix.gogo.runtime.activator

## Uses of CommandSessionListener in org.apache.felix.gogo.runtime

Fields in org.apache.felix.gogo.runtime with type parameters of type CommandSessionListener
Modifier and Type
Field
Description
`protected final Set<CommandSessionListener>`
CommandProcessorImpl.`listeners`
Methods in org.apache.felix.gogo.runtime with parameters of type CommandSessionListener
Modifier and Type
Method
Description
`void`
CommandProcessorImpl.`addListener(CommandSessionListener l)`
`void`
CommandProcessorImpl.`removeListener(CommandSessionListener l)`

## Uses of CommandSessionListener in org.apache.felix.gogo.runtime.activator

Classes in org.apache.felix.gogo.runtime.activator that implement CommandSessionListener
Modifier and Type
Class
Description
`class`
`EventAdminListener`